#include <iostream>
#include <fstream>
using namespace std;


int main(){
	cout << "Please enter the name of a file:" << endl;

	char filename [100]; 
	
	cin>>filename; //assume name does not include whitespaces for simplcity
	
	ifstream infile;
	infile.open(filename);
	


	if(!infile)
			cout << "Cannot open file!"<<endl;			
    else {


		int charcount=0, linecount=0;
		char c;
		infile.get(c);
		while(!infile.eof()){	
			charcount ++;
			if(c=='\n')	linecount++;
			infile.get(c);			
		}
		//the number of lines exceeds the number of '\n' characters by 1 
		//assuming that the file is not empty (if empty then then by convention 
		// the number of lines is zero)
		if(charcount!=0)  
		   linecount = linecount + 1;
	    
		

		infile.close();
		infile.clear();// clear the end of file status to be able to use the variable infile again
		//  An alternative method  is to declare another variable infile2: 
		// 	   ifstream infile2;
		//     infile2.open(filename);
		//  and use it instead of the variable infile in what follows
		infile.open(filename);
	

		char singleword[1000]="";
		int wordcount =0;
		infile >> singleword; 

		if(strlen(singleword)!=0) 	wordcount++; // condition needed to handle the case when the file consists of 
        // whitespaces only (in this case the variable singleword will retain its original value "", which has 
        // length 0). Note that if the file contains only one word, the end of the file will be reached after the 
		// first extraction.
		

		while(!infile.eof())
		{
			infile >> singleword;
			wordcount++;
		}	

		infile.close(); 
	
	    cout << "The number of characters is : " <<  charcount << endl;
	    cout << "The number of lines is : " << linecount << endl;
	    cout << "The number of words is : " << wordcount << endl;

	}
	return 0;
}